> ## Documentation Index > Fetch the complete documentation index at: https://www.bloxs.io/llms.txt > Use this file to discover all available pages before exploring further. # Get a journal > Get an existing journal. ## OpenAPI ````json GET /api/v1/finance/journals { "openapi": "3.0.4", "info": { "title": "Invoices V1", "description": "Welcome to BETA version of the new Invoices API - intended for client public testing before the launch of the final version. During this BETA phase, we'll be improving the API based on specific client's feedbacks.", "version": "v1" }, "security": [ {} ], "tags": [ { "name": "Budgets" }, { "name": "Compactions" }, { "name": "ConceptPurchaseInvoices" }, { "name": "JournalPosts" }, { "name": "Journals" }, { "name": "LedgerAccounts" }, { "name": "Metadata" }, { "name": "PaymentReminders" }, { "name": "PurchaseInvoices" }, { "name": "PurchaseOrders" }, { "name": "SalesInvoices" }, { "name": "SalesInvoiceServices" } ], "paths": { "/api/v1/finance/journals": { "get": { "tags": [ "Journals" ], "summary": "Get a journal", "description": "Get an existing journal.", "operationId": "GetJournal", "parameters": [ { "name": "code", "in": "query", "description": "The internal identifier of the model (i.e. Reference, Code, Name, depends on model).", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/JournalDetail" } } } }, "404": { "description": "The requested journal was not found." } }, "x-d360-narrative-url": "

Get a Journal

Retrieves the full record of a single existing journal.

A journal is master data configured in the financial administration, identified by a code, and used to categorize the type of transaction when posting journal entries (see journalCode on Get a Journal Post).

A journal can either apply generally or be specific to a single owner. A developer calls this endpoint to look up a journal's details, typically to resolve a journalCode to its name and associated ledger account.


Request Fields

Field

Type

Required

Description

code

string

Required

The internal identifier (code) of the journal.


Response Fields

Field

Type

Required

Description

code

string, max 12, nullable

Optional

The internal identifier (code) of the journal, used as journalCode on journal posts.

name

string, max 256, nullable

Optional

The name of the journal.

ledgerAccountCode

string, max 12, nullable

Optional

The general ledger account code associated with this journal.

specificForOwnerReference

string, nullable

Optional

The internal identifier of the owner this journal is specific to, if it isn't a generally applicable journal. Null if the journal applies across owners.

lastModified

string (date-time)

Optional

The date and time this journal was last modified, formatted as ISO 8601.

" } } }, "components": { "schemas": { "JournalDetail": { "type": "object", "properties": { "code": { "maxLength": 12, "minLength": 0, "type": "string", "nullable": true }, "name": { "maxLength": 256, "minLength": 0, "type": "string", "nullable": true }, "ledgerAccountCode": { "maxLength": 12, "minLength": 0, "type": "string", "nullable": true }, "specificForOwnerReference": { "type": "string", "nullable": true }, "lastModified": { "type": "string", "format": "date-time" } }, "additionalProperties": false } } } } ````